IndexHelper.IndexInfo (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.sstable
Class IndexHelper.IndexInfo

    java.lang.Object
      org.apache.cassandra.io.sstable.IndexHelper.IndexInfo

Enclosing class:
  IndexHelper

    public static class IndexHelper.IndexInfo

extends java.lang.Object

Field Summary
`java.nio.ByteBuffer` | `firstName`
`java.nio.ByteBuffer` | `lastName`
`long` | `offset`
`long` | `width`

Constructor Summary
`IndexHelper.IndexInfo(java.nio.ByteBuffer firstName, java.nio.ByteBuffer lastName, long offset, long width)`

Method Summary
`static IndexHelper.IndexInfo` | `deserialize(FileDataInput dis)`
`void` | `serialize(java.io.DataOutput dos)`
`int` | `serializedSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    public final long width

### lastName

    public final java.nio.ByteBuffer lastName

### firstName

    public final java.nio.ByteBuffer firstName

### offset

    public final long offset

Constructor Detail

### IndexHelper.IndexInfo

    public IndexHelper.IndexInfo(java.nio.ByteBuffer firstName,
                                 java.nio.ByteBuffer lastName,
                                 long offset,
                                 long width)

Method Detail

### serialize

    public void serialize(java.io.DataOutput dos)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializedSize

    public int serializedSize()

### deserialize

    public static IndexHelper.IndexInfo deserialize(FileDataInput dis)
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation